"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ssrCleanup = exports.Html = void 0;
const react_1 = __importDefault(require("react"));
const dev_tools_1 = require("./dev-tools");
const mount_point_1 = require("./mount-point");
const stored_assets_1 = require("./stored-assets");
const ssr_styles_1 = require("./ssr-styles");
const full_height_style_1 = require("./full-height-style");
/** html template for the main UI, when ssr is active */
function Html(_a) {
    var _b, _c, _d;
    var { assets = {}, withDevTools = false, fullHeight, ssr, children = react_1.default.createElement(mount_point_1.MountPoint, null) } = _a, rest = __rest(_a, ["assets", "withDevTools", "fullHeight", "ssr", "children"]);
    return (react_1.default.createElement("html", Object.assign({ lang: "en" }, rest),
        react_1.default.createElement("head", null,
            react_1.default.createElement("title", null, assets.title || 'bit scope'),
            react_1.default.createElement("meta", { charSet: "utf-8" }),
            react_1.default.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1.0" }),
            ssr && react_1.default.createElement(ssr_styles_1.SsrStyles, null),
            fullHeight && react_1.default.createElement(full_height_style_1.FullHeightStyle, null),
            withDevTools && react_1.default.createElement(dev_tools_1.CrossIframeDevTools, null), (_b = assets.style) === null || _b === void 0 ? void 0 :
            _b.map((x, idx) => (react_1.default.createElement("style", { key: idx }, x))), (_c = assets.css) === null || _c === void 0 ? void 0 :
            _c.map((x, idx) => (react_1.default.createElement("link", { key: idx, href: x, rel: "stylesheet", type: "text/css" })))),
        react_1.default.createElement("body", null,
            children,
            assets.json && react_1.default.createElement(stored_assets_1.StoredAssets, { data: assets.json }), (_d = assets.js) === null || _d === void 0 ? void 0 :
            _d.map((x, idx) => (react_1.default.createElement("script", { key: idx, src: x }))))));
}
exports.Html = Html;
Html.fillContent = mount_point_1.fillMountPoint;
Html.popAssets = stored_assets_1.popAssets;
function ssrCleanup() {
    (0, ssr_styles_1.removeSsrStyles)();
}
exports.ssrCleanup = ssrCleanup;
//# sourceMappingURL=html.js.map