"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.popAssets = exports.StoredAssets = void 0;
const react_1 = __importDefault(require("react"));
function StoredAssets({ data }) {
    return (react_1.default.createElement("div", { className: "state", style: { display: 'none' } }, Object.entries(data).map(([key, content]) => (
    // TODO - we falsely assume content is html safe
    react_1.default.createElement("script", { key: key, "data-aspect": key, type: "application/json", dangerouslySetInnerHTML: { __html: content } })))));
}
exports.StoredAssets = StoredAssets;
/** read and remove stored data from the dom */
function popAssets() {
    var _a;
    const rawAssets = new Map();
    const inDom = Array.from(document.querySelectorAll('body > .state > *'));
    inDom.forEach((elem) => {
        const aspectName = elem.getAttribute('data-aspect');
        if (!aspectName)
            return;
        rawAssets.set(aspectName, elem.innerHTML);
    });
    (_a = document.querySelector('body > .state')) === null || _a === void 0 ? void 0 : _a.remove();
    return rawAssets;
}
exports.popAssets = popAssets;
//# sourceMappingURL=stored-assets.js.map